var BasicGame = {};

BasicGame.Boot = function (game) {

};

BasicGame.Boot.prototype = {
    init: function () {
        //  Unless you specifically know your game needs to support multi-touch I would recommend setting this to 1
        this.input.maxPointers = 1;
        //  Phaser will automatically pause if the browser tab the game is in loses focus. You can disable that here:
        this.stage.disableVisibilityChange = true;
        if (this.game.device.desktop){
            //  If you have any desktop specific settings, they can go in here
            this.scale.pageAlignHorizontally = true;
			//this.scale.scaleMode = Phaser.ScaleManager.SHOW_ALL;
            //this.scale.setMinMax(360, 240, 720, 480);
            //this.scale.forceLandscape = true;
        }else{
            //  Same goes for mobile settings.
            this.scale.scaleMode = Phaser.ScaleManager.EXACT_FIT;
            this.scale.setMinMax(360, 240, 720, 480);
            this.scale.forceLandscape = true;
            this.scale.pageAlignHorizontally = false;
        }
    },

    preload: function () {
        //  Here we load the assets required for our preloader (in this case a background and a loading bar)
        this.load.image('btnPornGames', 'assets/images/btn_porngames.png');
        this.load.image('preloaderBackground', 'assets/images/preloader_background.gif');
        this.load.image('preloaderBar', 'assets/images/preloader.gif');
        this.load.image('splashButtonImage', 'assets/images/blankImage.png');
        this.load.spritesheet('btnPlay', 'assets/images/btn_play.png', 140, 60);
    },

    create: function () {
        //  By this point the preloader assets have loaded to the cache, we've set the game settings
        //  So now let's start the real preloader going
        this.state.start('Preloader');
    }
    

};
